diff --git a/base/deploy/src/scriptlets/pkihelper.py b/base/deploy/src/scriptlets/pkihelper.py
index ecc1df7919b5bd3f62d4b8485f85a2c69ec4a6e8..ba67465ef989e9ffcc9a34ff576435a0611282f8 100644
--- a/base/deploy/src/scriptlets/pkihelper.py
+++ b/base/deploy/src/scriptlets/pkihelper.py
@@ -1849,18 +1719,16 @@ class symlink:
                acls=None, allow_dangling_symlink=False, critical_failure=True):
         try:
             if not os.path.exists(link):
-                if not config.pki_dry_run_flag:
-                    if not os.path.exists(name):
-                        config.pki_log.warning(
-                            log.PKIHELPER_DANGLING_SYMLINK_2, link, name,
-                            extra=config.PKI_INDENTATION_LEVEL_2)
-                        if not allow_dangling_symlink:
-                            sys.exit(1)
+                if not os.path.exists(name):
+                    config.pki_log.warning(
+                        log.PKIHELPER_DANGLING_SYMLINK_2, link, name,
+                        extra=config.PKI_INDENTATION_LEVEL_2)
+                    if not allow_dangling_symlink:
+                        sys.exit(1)
                 # ln -s <name> <link>
                 config.pki_log.info(log.PKIHELPER_LINK_S_2, name, link,
                                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if not config.pki_dry_run_flag:
-                    os.symlink(name, link)
+                os.symlink(name, link)
                 # REMINDER:  Due to POSIX compliance, 'lchmod' is NEVER
                 #            implemented on Linux systems since 'chmod'
                 #            CANNOT be run directly against symbolic links!
@@ -1872,8 +1740,7 @@ class symlink:
                 config.pki_log.debug(log.PKIHELPER_CHOWN_H_3,
                                      uid, gid, link,
                                      extra=config.PKI_INDENTATION_LEVEL_3)
-                if not config.pki_dry_run_flag:
-                    os.lchown(link, uid, gid)
+                os.lchown(link, uid, gid)
                 # Store record in installation manifest
                 record = manifest.record()
                 record.name = link
@@ -1928,8 +1795,7 @@ class symlink:
                     config.pki_log.debug(log.PKIHELPER_CHOWN_H_3,
                                          uid, gid, link,
                                          extra=config.PKI_INDENTATION_LEVEL_3)
-                if not config.pki_dry_run_flag:
-                    os.lchown(link, uid, gid)
+                os.lchown(link, uid, gid)
                 # Store record in installation manifest
                 if not silent:
                     record = manifest.record()
@@ -1967,8 +1833,7 @@ class symlink:
                 # rm -f <link>
                 config.pki_log.info(log.PKIHELPER_RM_F_1, link,
                                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if not config.pki_dry_run_flag:
-                    os.remove(link)
+                os.remove(link)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -1999,21 +1864,19 @@ class war:
                         name, extra=config.PKI_INDENTATION_LEVEL_2)
                     if critical_failure == True:
                         sys.exit(1)
-                if not config.pki_dry_run_flag:
-                    if not os.path.exists(path) or not os.path.isdir(path):
-                        config.pki_log.error(
-                            log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1,
-                            path, extra=config.PKI_INDENTATION_LEVEL_2)
-                        if critical_failure == True:
-                            sys.exit(1)
+                if not os.path.exists(path) or not os.path.isdir(path):
+                    config.pki_log.error(
+                        log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1,
+                        path, extra=config.PKI_INDENTATION_LEVEL_2)
+                    if critical_failure == True:
+                        sys.exit(1)
                 # jar -xf <name> -C <path>
                 config.pki_log.info(log.PKIHELPER_JAR_XF_C_2, name, path,
                                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if not config.pki_dry_run_flag:
-                    # Open war file
-                    war = zipfile.ZipFile(name, 'r')
-                    # Extract contents of war file to path
-                    war.extractall(path)
+                # Open war file
+                war = zipfile.ZipFile(name, 'r')
+                # Extract contents of war file to path
+                war.extractall(path)
             else:
                 config.pki_log.error(
                     log.PKI_FILE_MISSING_OR_NOT_A_FILE_1, name,
@@ -2043,28 +1906,12 @@ class password:
     def create_password_conf(self, path, pin, pin_sans_token=False,
                              overwrite_flag=False, critical_failure=True):
         try:
-            if not config.pki_dry_run_flag:
-                if os.path.exists(path):
-                    if overwrite_flag:
-                        config.pki_log.info(
-                            log.PKIHELPER_PASSWORD_CONF_1, path,
-                            extra=config.PKI_INDENTATION_LEVEL_2)
-                        # overwrite the existing 'password.conf' file
-                        with open(path, "wt") as fd:
-                            if pin_sans_token == True:
-                                fd.write(str(pin))
-                            elif master['pki_subsystem'] in\
-                               config.PKI_APACHE_SUBSYSTEMS:
-                                fd.write(master['pki_self_signed_token'] +\
-                                         ":" + str(pin))
-                            else:
-                                fd.write(master['pki_self_signed_token'] +\
-                                         "=" + str(pin))
-                        fd.closed
-                else:
-                    config.pki_log.info(log.PKIHELPER_PASSWORD_CONF_1, path,
-                                        extra=config.PKI_INDENTATION_LEVEL_2)
-                    # create a new 'password.conf' file
+            if os.path.exists(path):
+                if overwrite_flag:
+                    config.pki_log.info(
+                        log.PKIHELPER_PASSWORD_CONF_1, path,
+                        extra=config.PKI_INDENTATION_LEVEL_2)
+                    # overwrite the existing 'password.conf' file
                     with open(path, "wt") as fd:
                         if pin_sans_token == True:
                             fd.write(str(pin))
@@ -2077,9 +1924,20 @@ class password:
                                      "=" + str(pin))
                     fd.closed
             else:
-                if not os.path.exists(path) or overwrite_flag:
-                    config.pki_log.info(log.PKIHELPER_PASSWORD_CONF_1, path,
-                                        extra=config.PKI_INDENTATION_LEVEL_2)
+                config.pki_log.info(log.PKIHELPER_PASSWORD_CONF_1, path,
+                                    extra=config.PKI_INDENTATION_LEVEL_2)
+                # create a new 'password.conf' file
+                with open(path, "wt") as fd:
+                    if pin_sans_token == True:
+                        fd.write(str(pin))
+                    elif master['pki_subsystem'] in\
+                       config.PKI_APACHE_SUBSYSTEMS:
+                        fd.write(master['pki_self_signed_token'] +\
+                                 ":" + str(pin))
+                    else:
+                        fd.write(master['pki_self_signed_token'] +\
+                                 "=" + str(pin))
+                fd.closed
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -2090,27 +1948,22 @@ class password:
     def create_client_pkcs12_password_conf(self, path, overwrite_flag=False,
                                            critical_failure=True):
         try:
-            if not config.pki_dry_run_flag:
-                if os.path.exists(path):
-                    if overwrite_flag:
-                        config.pki_log.info(
-                            log.PKIHELPER_PASSWORD_CONF_1, path,
-                            extra=config.PKI_INDENTATION_LEVEL_2)
-                        # overwrite the existing 'pkcs12_password.conf' file
-                        with open(path, "wt") as fd:
-                            fd.write(sensitive['pki_client_pkcs12_password'])
-                        fd.closed
-                else:
-                    config.pki_log.info(log.PKIHELPER_PASSWORD_CONF_1, path,
-                                        extra=config.PKI_INDENTATION_LEVEL_2)
-                    # create a new 'pkcs12_password.conf' file
+            if os.path.exists(path):
+                if overwrite_flag:
+                    config.pki_log.info(
+                        log.PKIHELPER_PASSWORD_CONF_1, path,
+                        extra=config.PKI_INDENTATION_LEVEL_2)
+                    # overwrite the existing 'pkcs12_password.conf' file
                     with open(path, "wt") as fd:
                         fd.write(sensitive['pki_client_pkcs12_password'])
                     fd.closed
             else:
-                if not os.path.exists(path) or overwrite_flag:
-                    config.pki_log.info(log.PKIHELPER_PASSWORD_CONF_1, path,
-                                        extra=config.PKI_INDENTATION_LEVEL_2)
+                config.pki_log.info(log.PKIHELPER_PASSWORD_CONF_1, path,
+                                    extra=config.PKI_INDENTATION_LEVEL_2)
+                # create a new 'pkcs12_password.conf' file
+                with open(path, "wt") as fd:
+                    fd.write(sensitive['pki_client_pkcs12_password'])
+                fd.closed
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -2140,55 +1993,37 @@ class certutil:
                 command = command + " " + "-f" + " " + password_file
             if prefix != None:
                 command = command + " " + "-P" + " " + prefix
-            if not config.pki_dry_run_flag:
-                if not os.path.exists(path):
-                    config.pki_log.error(
-                        log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1, path,
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                    sys.exit(1)
-                if os.path.exists(pki_cert_database) or\
-                   os.path.exists(pki_key_database) or\
-                   os.path.exists(pki_secmod_database):
-                    # Simply notify user that the security databases exist
-                    config.pki_log.info(
-                        log.PKI_SECURITY_DATABASES_ALREADY_EXIST_3,
-                        pki_cert_database,
-                        pki_key_database,
-                        pki_secmod_database,
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                else:
-                    if password_file != None:
-                        if not os.path.exists(password_file) or\
-                           not os.path.isfile(password_file):
-                            config.pki_log.error(
-                                log.PKI_FILE_MISSING_OR_NOT_A_FILE_1,
-                                password_file,
-                                extra=config.PKI_INDENTATION_LEVEL_2)
-                            sys.exit(1)
-                    # Display this "certutil" command
-                    config.pki_log.info(
-                        log.PKIHELPER_CREATE_SECURITY_DATABASES_1,
-                        command,
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                    # Execute this "certutil" command
-                    subprocess.call(command, shell=True)
+            if not os.path.exists(path):
+                config.pki_log.error(
+                    log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1, path,
+                    extra=config.PKI_INDENTATION_LEVEL_2)
+                sys.exit(1)
+            if os.path.exists(pki_cert_database) or\
+               os.path.exists(pki_key_database) or\
+               os.path.exists(pki_secmod_database):
+                # Simply notify user that the security databases exist
+                config.pki_log.info(
+                    log.PKI_SECURITY_DATABASES_ALREADY_EXIST_3,
+                    pki_cert_database,
+                    pki_key_database,
+                    pki_secmod_database,
+                    extra=config.PKI_INDENTATION_LEVEL_2)
             else:
-                if os.path.exists(pki_cert_database) or\
-                   os.path.exists(pki_key_database) or\
-                   os.path.exists(pki_secmod_database):
-                    # Simply notify user that the security databases exist
-                    config.pki_log.info(
-                        log.PKI_SECURITY_DATABASES_ALREADY_EXIST_3,
-                        pki_cert_database,
-                        pki_key_database,
-                        pki_secmod_database,
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                else:
-                    # Display this "certutil" command
-                    config.pki_log.info(
-                        log.PKIHELPER_CREATE_SECURITY_DATABASES_1,
-                        command,
-                        extra=config.PKI_INDENTATION_LEVEL_2)
+                if password_file != None:
+                    if not os.path.exists(password_file) or\
+                       not os.path.isfile(password_file):
+                        config.pki_log.error(
+                            log.PKI_FILE_MISSING_OR_NOT_A_FILE_1,
+                            password_file,
+                            extra=config.PKI_INDENTATION_LEVEL_2)
+                        sys.exit(1)
+                # Display this "certutil" command
+                config.pki_log.info(
+                    log.PKIHELPER_CREATE_SECURITY_DATABASES_1,
+                    command,
+                    extra=config.PKI_INDENTATION_LEVEL_2)
+                # Execute this "certutil" command
+                subprocess.call(command, shell=True)
         except subprocess.CalledProcessError as exc:
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -2239,37 +2074,30 @@ class certutil:
             #   By default, execute this command silently
             if silent != False:
                 command = command + " > /dev/null 2>&1"
-            if not config.pki_dry_run_flag:
-                if not os.path.exists(path):
+            if not os.path.exists(path):
+                config.pki_log.error(
+                    log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1, path,
+                    extra=config.PKI_INDENTATION_LEVEL_2)
+                sys.exit(1)
+            if not os.path.exists(pki_cert_database) or\
+               not os.path.exists(pki_key_database) or\
+               not os.path.exists(pki_secmod_database):
+                # NSS security databases MUST exist!
+                config.pki_log.error(
+                    log.PKI_SECURITY_DATABASES_DO_NOT_EXIST_3,
+                    pki_cert_database,
+                    pki_key_database,
+                    pki_secmod_database,
+                    extra=config.PKI_INDENTATION_LEVEL_2)
+                sys.exit(1)
+            if password_file != None:
+                if not os.path.exists(password_file) or\
+                   not os.path.isfile(password_file):
                     config.pki_log.error(
-                        log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1, path,
+                        log.PKI_FILE_MISSING_OR_NOT_A_FILE_1,
+                        password_file,
                         extra=config.PKI_INDENTATION_LEVEL_2)
                     sys.exit(1)
-                if not os.path.exists(pki_cert_database) or\
-                   not os.path.exists(pki_key_database) or\
-                   not os.path.exists(pki_secmod_database):
-                    # NSS security databases MUST exist!
-                    config.pki_log.error(
-                        log.PKI_SECURITY_DATABASES_DO_NOT_EXIST_3,
-                        pki_cert_database,
-                        pki_key_database,
-                        pki_secmod_database,
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                    sys.exit(1)
-                if password_file != None:
-                    if not os.path.exists(password_file) or\
-                       not os.path.isfile(password_file):
-                        config.pki_log.error(
-                            log.PKI_FILE_MISSING_OR_NOT_A_FILE_1,
-                            password_file,
-                            extra=config.PKI_INDENTATION_LEVEL_2)
-                        sys.exit(1)
-            else:
-                # Check for first time through as dry_run
-                if not os.path.exists(pki_cert_database) or\
-                   not os.path.exists(pki_key_database) or\
-                   not os.path.exists(pki_secmod_database):
-                    return False
             # Execute this "certutil" command
             subprocess.check_call(command, shell=True)
         except subprocess.CalledProcessError as exc:
@@ -2376,39 +2204,38 @@ class certutil:
             config.pki_log.info(
                 log.PKIHELPER_CERTUTIL_SELF_SIGNED_CERTIFICATE_1, command,
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            if not config.pki_dry_run_flag:
-                if not os.path.exists(path):
+            if not os.path.exists(path):
+                config.pki_log.error(
+                    log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1, path,
+                    extra=config.PKI_INDENTATION_LEVEL_2)
+                sys.exit(1)
+            if not os.path.exists(pki_cert_database) or\
+               not os.path.exists(pki_key_database) or\
+               not os.path.exists(pki_secmod_database):
+                # NSS security databases MUST exist!
+                config.pki_log.error(
+                    log.PKI_SECURITY_DATABASES_DO_NOT_EXIST_3,
+                    pki_cert_database,
+                    pki_key_database,
+                    pki_secmod_database,
+                    extra=config.PKI_INDENTATION_LEVEL_2)
+                sys.exit(1)
+            if not os.path.exists(noise_file):
+                config.pki_log.error(
+                    log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1,
+                    noise_file,
+                    extra=config.PKI_INDENTATION_LEVEL_2)
+                sys.exit(1)
+            if password_file != None:
+                if not os.path.exists(password_file) or\
+                   not os.path.isfile(password_file):
                     config.pki_log.error(
-                        log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1, path,
+                        log.PKI_FILE_MISSING_OR_NOT_A_FILE_1,
+                        password_file,
                         extra=config.PKI_INDENTATION_LEVEL_2)
                     sys.exit(1)
-                if not os.path.exists(pki_cert_database) or\
-                   not os.path.exists(pki_key_database) or\
-                   not os.path.exists(pki_secmod_database):
-                    # NSS security databases MUST exist!
-                    config.pki_log.error(
-                        log.PKI_SECURITY_DATABASES_DO_NOT_EXIST_3,
-                        pki_cert_database,
-                        pki_key_database,
-                        pki_secmod_database,
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                    sys.exit(1)
-                if not os.path.exists(noise_file):
-                    config.pki_log.error(
-                        log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1,
-                        noise_file,
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                    sys.exit(1)
-                if password_file != None:
-                    if not os.path.exists(password_file) or\
-                       not os.path.isfile(password_file):
-                        config.pki_log.error(
-                            log.PKI_FILE_MISSING_OR_NOT_A_FILE_1,
-                            password_file,
-                            extra=config.PKI_INDENTATION_LEVEL_2)
-                        sys.exit(1)
-                # Execute this "certutil" command
-                subprocess.call(command, shell=True)
+            # Execute this "certutil" command
+            subprocess.call(command, shell=True)
         except subprocess.CalledProcessError as exc:
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -2552,46 +2379,45 @@ class security_domain:
                               params, updateURL,
                               sechost, secagentport)
                 # update domainXML
-                if not config.pki_dry_run_flag:
-                    # Execute this "sslget" command
-                    output = subprocess.check_output(command,
-                                                     stderr=subprocess.STDOUT,
-                                                     shell=True)
-                    config.pki_log.debug(log.PKIHELPER_SSLGET_OUTPUT_1,
-                                         output,
-                                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    # Search the output for Status
-                    status = re.findall("\<Status\>(.*?)\<\/Status\>", output)
-                    if not status:
-                        config.pki_log.warning(
-                            log.PKIHELPER_SECURITY_DOMAIN_UNREACHABLE_1,
-                            secname,
-                            extra=config.PKI_INDENTATION_LEVEL_2)
-                        if critical_failure == True:
-                            sys.exit(-1)
-                    elif status[0] != "0":
-                        error = re.findall("\<Error\>(.*?)\<\/Error\>", output)
-                        if not error:
-                            error = ""
-                        config.pki_log.warning(
-                            log.PKIHELPER_SECURITY_DOMAIN_UNREGISTERED_2,
-                            typeval,
-                            secname,
-                            extra=config.PKI_INDENTATION_LEVEL_2)
-                        config.pki_log.error(
-                            log.PKIHELPER_SECURITY_DOMAIN_UPDATE_FAILURE_3,
-                            typeval,
-                            secname,
-                            error,
-                            extra=config.PKI_INDENTATION_LEVEL_2)
-                        if critical_failure == True:
-                            sys.exit(-1)
-                    else:
-                        config.pki_log.info(
-                            log.PKIHELPER_SECURITY_DOMAIN_UPDATE_SUCCESS_2,
-                            typeval,
-                            secname,
-                            extra=config.PKI_INDENTATION_LEVEL_2)
+                # Execute this "sslget" command
+                output = subprocess.check_output(command,
+                                                 stderr=subprocess.STDOUT,
+                                                 shell=True)
+                config.pki_log.debug(log.PKIHELPER_SSLGET_OUTPUT_1,
+                                     output,
+                                     extra=config.PKI_INDENTATION_LEVEL_2)
+                # Search the output for Status
+                status = re.findall("\<Status\>(.*?)\<\/Status\>", output)
+                if not status:
+                    config.pki_log.warning(
+                        log.PKIHELPER_SECURITY_DOMAIN_UNREACHABLE_1,
+                        secname,
+                        extra=config.PKI_INDENTATION_LEVEL_2)
+                    if critical_failure == True:
+                        sys.exit(-1)
+                elif status[0] != "0":
+                    error = re.findall("\<Error\>(.*?)\<\/Error\>", output)
+                    if not error:
+                        error = ""
+                    config.pki_log.warning(
+                        log.PKIHELPER_SECURITY_DOMAIN_UNREGISTERED_2,
+                        typeval,
+                        secname,
+                        extra=config.PKI_INDENTATION_LEVEL_2)
+                    config.pki_log.error(
+                        log.PKIHELPER_SECURITY_DOMAIN_UPDATE_FAILURE_3,
+                        typeval,
+                        secname,
+                        error,
+                        extra=config.PKI_INDENTATION_LEVEL_2)
+                    if critical_failure == True:
+                         sys.exit(-1)
+                else:
+                    config.pki_log.info(
+                        log.PKIHELPER_SECURITY_DOMAIN_UPDATE_SUCCESS_2,
+                        typeval,
+                        secname,
+                        extra=config.PKI_INDENTATION_LEVEL_2)
         except subprocess.CalledProcessError as exc:
             config.pki_log.warning(
                 log.PKIHELPER_SECURITY_DOMAIN_UPDATE_FAILURE_2,
@@ -2628,9 +2454,8 @@ class systemd:
             config.pki_log.info(
                 log.PKIHELPER_SYSTEMD_COMMAND_1, command,
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            if not config.pki_dry_run_flag:
-                # Execute this "systemd" execution management command
-                subprocess.call(command, shell=True)
+            # Execute this "systemd" execution management command
+            subprocess.call(command, shell=True)
         except subprocess.CalledProcessError as exc:
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -2655,9 +2480,8 @@ class systemd:
             config.pki_log.info(
                 log.PKIHELPER_SYSTEMD_COMMAND_1, command,
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            if not config.pki_dry_run_flag:
-                # Execute this "systemd" execution management command
-                subprocess.call(command, shell=True)
+            # Execute this "systemd" execution management command
+            subprocess.call(command, shell=True)
         except subprocess.CalledProcessError as exc:
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -2682,9 +2506,8 @@ class systemd:
             config.pki_log.info(
                 log.PKIHELPER_SYSTEMD_COMMAND_1, command,
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            if not config.pki_dry_run_flag:
-                # Execute this "systemd" execution management command
-                subprocess.call(command, shell=True)
+            # Execute this "systemd" execution management command
+            subprocess.call(command, shell=True)
         except subprocess.CalledProcessError as exc:
             config.pki_log.error(log.PKI_SUBPROCESS_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
